<?php

$InitSystem = true;
include_once('../includes/global.php');
include_once('../img_level.php');

function ShowMenu()
{
  global $System, $Config;
  
  $Output = '<h3>Volby pro správu</h3>'.
  '<a href="https://'.$Config['Web']['Host'].'/phpmyadmin/">Správa databáze</a><br/>'.
  '<small>Rozhraní phpMyAdmin pro přímou správu databáze</small><br/><br/>'.
  '<a href="'.$System->Link('/import/').'">Import textů</a><br/>'.
  '<small>Načtení zdrojových textů do databáze</small><br/><br/>'.
  '<a href="'.$System->Link('/log.php').'">Záznamy událostí</a><br/>'.
  '<small>Procházení všech systémových záznamů akcí a událostí</small><br/><br/>'.
  '<a href="'.$System->Link('/admin/?action=img_level').'">Generování obrázků úrovní překladatelů</a><br/>'.
  '<small>Ihned provede přegenerování všech obrázků úrovní překladatelů</small><br/><br/>'.    
  '<a href="'.$System->Link('/news/?a=add').'">Přidání aktuality</a><br/>'.
  '<small>Přidá aktualitu na hlavní stranu projektu</small><br/><br/>'.    
  '<a href="'.$System->Link('/admin/?action=testing').'">Testování</a><br/>'.
  '<small>Testovací funkce</small><br/><br/>'.    
  '<a href="'.$System->Link('/admin/?action=locale').'">Exportovat překlad rozhraní</a><br/>'.
  '<small>Exportovat texty z PHP souborů pro překlad rozhraní</small><br/><br/>'.
  '<a href="'.$System->Link('/admin/?action=uncomplete').'">Nastavit nekompletní texty</a><br/>'.
  '<small>Nastaví questy, které jsou v popisu nebo objektu stejné jako nedokončené</small><br/><br/>';    
  return($Output);
}

function TestError($P1, $P2)
{
  $s = $TT[0];
}

function TestException($P1, $P2)
{
  throw new Exception('Test exception');
}

function TestSQLError($Query)
{
  global $System;
  
  $DbResult = $System->Database->query($Query);  
}

function ShowPHPInfo()
{
  return(phpinfo());  
}

function Testing()
{
  global $System;
  
  $Output = '<a href="'.$System->Link('/admin/?action=phpinfo').'">PHP info</a><br/>'.
  '<small>PHP informace</small><br/><br/>'.
  '<a href="'.$System->Link('/admin/?action=error').'">Testovací chyba</a><br/>'.
  '<small>Vyvolá testovací chybu</small><br/><br/>'.
  '<a href="'.$System->Link('/admin/?action=exception').'">Testovací výjimka</a><br/>'.
  '<small>Vyvolá testovací chybu</small><br/><br/>'.
  '<a href="'.$System->Link('/admin/?action=sqlerror').'">Chybný SQL dotaz</a><br/>'.
  '<small>Vyvolá testovací chybu</small><br/><br/>';
  return($Output);
}
function Uncomplete()
{
  global $System;
  
		$DbResult = $System->Database->query('SELECT  `gs_tran`.`ID`,`gs_tran`.`Details`,`gs_tran`.`Objectives` FROM '
     .'`TextQuest` AS  `gs_tran` ' 
     .'JOIN  `TextQuest` AS  `gs_orig` ON  `gs_orig`.`Entry` =  `gs_tran`.`Entry` ' 
    .'AND  `gs_orig`.`Language` =0 '
    .'WHERE  `gs_tran`.`Language` !=0 '
    .'AND  `gs_tran`.`Complete` =1 '
    .'AND ( (`gs_tran`.`Details` =  `gs_orig`.`Details` AND  "" !=  `gs_orig`.`Details` )'
    .' OR ( `gs_tran`.`Objectives` !=  `gs_orig`.`Objectives` AND  "" =  `gs_tran`.`Objectives` )'
    .' OR ( `gs_tran`.`Details` !=  `gs_orig`.`Details` AND  "" =  `gs_tran`.`Details` )'
    .' OR (`gs_tran`.`Objectives` =  `gs_orig`.`Objectives` AND  "" !=  `gs_orig`.`Objectives` ))'
    );
    $Output = 'Questy: <br />';
		while($quest = $DbResult->fetch_assoc())
		{
		  $Output .= $quest['ID'].', '; 
			$System->Database->query('UPDATE `textquest` SET `complete` = 0 WHERE ID='.$quest['ID']);
		}
  $Output .= '<br / ><br / >Questy nastaveny jako nedokončené!';
  return($Output);
}           

function ShowLocale()
{
	global $LocaleManager, $System;
	
	$LocaleManager->UpdateAll(dirname(dirname(__FILE__)));
	$Output = 'Překlad rozhraní přegenerován';
	$Output .= '<table class="BaseTable"><tr><th>Originál</th><th>Překlad</th></tr>';
	foreach($LocaleManager->CurrentLocale->Texts->Data as $Index => $Item)
	  $Output .= '<tr><td>'.$Index.'</td><td>'.$Item.'</td></tr>';
	$Output .= '</table>';
	$Output .= 'Překladové soubory zaktualizovány';
	return($Output);
}

$Output = '';
if($User->Licence(LICENCE_ADMIN))
{
  if(array_key_exists('action', $_GET))
  {
    if($_GET['action'] == 'img_level') $Output .= ImgLevelShow();
    else if($_GET['action'] == 'error') $Output .= TestError(12, 'test');
    else if($_GET['action'] == 'exception') $Output .= TestException(12, 'test');
    else if($_GET['action'] == 'sqlerror') $Output .= TestSQLError('SELECT dads FROM sdas');
    else if($_GET['action'] == 'testing') $Output .= Testing();
    else if($_GET['action'] == 'phpinfo') $Output .= ShowPHPInfo();
    else if($_GET['action'] == 'locale') $Output .= ShowLocale();
    else if($_GET['action'] == 'uncomplete') $Output .= Uncomplete();
    else $Output .= ShowMenu();
  } else $Output .= ShowMenu();  
} else $Output .= ShowMessage(T('Access denied'), MESSAGE_CRITICAL);
      
ShowPage($Output);
